#!/usr/bin/env python3

import sys
import subprocess

if len(sys.argv) == 2 and sys.argv[1] == 'import-h5py':
    import h5py

commandLineString = "mpirun -n 2 ./mpi_hello_world"

simulationProc = subprocess.Popen(commandLineString,
                                  shell=True,
                                  stdout=subprocess.PIPE,
                                  stderr=subprocess.PIPE)

(stdout, stderr) = simulationProc.communicate()
returnCode = simulationProc.wait()

print("stdout = ", stdout)
print("stderr = ", stderr)
print("return code = ", returnCode)



